--Local'ы. Чтоб было меньше писанины
local _G = GLOBAL
local RECIPETABS = _G.RECIPETABS
local TECH = _G.TECH
local Ingredient = _G.Ingredient
local STRINGS = _G.STRINGS
local TUNING = _G.TUNING

--Ставить tuning надо перед префабами.

TUNING.TEASLEEP_RANGE = 00.1 --Растояние усыпления
TUNING.TEASLEEP_TIME = 15 --Время "спячки"
TUNING.BRED_PERISH = 8 --Незадействованый тюнинг
TUNING.BEER_WAIT = GetModConfigData("beer_wait") -- Время брожения пива
TUNING.WELL_COOLDOWN = GetModConfigData("waterwell_wait") -- Откат колодца
TUNING.KETTLE_WATER = 17 -- Время кепяченя воды
TUNING.KETTLE_TEA = 20 -- Время готовки чая
TUNING.KETTLE_COFFE = 25 -- Время готовки кофе
TUNING.KETTLE_DRAGON = 30 -- Время готовки напитка из питая
TUNING.KETTLE_MONSTER = 23 -- Время готовки напитка монстра и сиропа паука
TUNING.KETTLE_ABI = 45 -- Время готовки призрачного напитка

TUNING.DRINKCUP_WATER = 0
TUNING.DRINKCUP_TEA = 0
TUNING.DRINKCUP_COFFE = 0
TUNING.DRINKCUP_DRAGON = 0
TUNING.DRINKCUP_MONSTER = 0
TUNING.DRINKCUP_BEER = 0
TUNING.DRINKCUP_ABI = 0
TUNING.DRINK_SODA = 0

TUNING.COFFEE_TIME = GetModConfigData("coffee_time") 
TUNING.COFFEE_POWR = GetModConfigData("coffee_power") 

TUNING.KETTLE_SAVECFG = GetModConfigData("kettle_save")

local language_cfg = GetModConfigData("language_cfg") -- Создаём локальную переменую и задём ей значение которые выбрано в конфиге
TUNING.WATERCROSSOVER = GetModConfigData("watercrossover_cfg")

PrefabFiles = --Здесь у нас префабы
{
	"waterwell",
	"bucket",
	"bucketfull",
	"bucketice",
	"waterbarrle",
	"hole2",
	"hole",
	"waterwell_item",
	"kettles",
	"tea",
	"tee_plant",
	"tee_tree",
	"coffe_beans",
	"dug_tee_tree",
	"water_mahine",
	"cutwheat",
	"dug_wheat",
	"wheat",
	"breads",
	"beer_barrle",
	--"bucket_helmet",
	"cups",
	"sodas",
	"coffebush",
	"dug_coffebush",
	"grass_bag",
	"mr_beefalo",
	"ice_mahine",
}

local assets=
{
    Asset("ATLAS", "images/inventoryimages/waterwell.xml"),--Тут типо изображения,в переменной АТLАS, нам нужен файл .xml
    Asset("IMAGE", "images/inventoryimages/waterwell.tex"),-- А в переменной IMAGE - .tex
	
	Asset("ATLAS", "images/inventoryimages/tee.xml"),
    Asset("IMAGE", "images/inventoryimages/tee.tex"),
	
	Asset("ATLAS", "images/inventoryimages/water_mahine.xml"),
    Asset("IMAGE", "images/inventoryimages/water_mahine.tex"),
	
	Asset("ATLAS", "images/inventoryimages/ice_mahine.xml"),
    Asset("IMAGE", "images/inventoryimages/ice_mahine.tex"),
	
	Asset("ATLAS", "images/inventoryimages/beer_barrle.xml"),
    Asset("IMAGE", "images/inventoryimages/beer_barrle.tex"),
	
	Asset("ATLAS", "images/images/water_images.xml"),
    Asset("IMAGE", "images/images/water_images.tex"),
	
	Asset("SOUNDPACKAGE", "sound/fil_drink.fev"),	
    Asset("SOUND", "sound/fil_drink.fsb"),
}

--local drinkstab = AddRecipeTab("Water", 979, "images/watertab.xml", "watertab.tex", nil)
STRINGS.NAMES.DRINKS_TAB = "WATER"
STRINGS.TABS.DRINKS_TAB = "Water"
GLOBAL.RECIPETABS['DRINKS_TAB'] = {str = "DRINKS_TAB", sort=3, icon = "watertab.tex", icon_atlas = "images/watertab.xml"}

modimport("scripts/recipes.lua")
modimport("scripts/strings.lua") -- Подгружаем англиский текст в любом случаии

-- Принудительный выбор языка, тут всё просто
-- Если 1 т.е Русский задём Русский язык

if language_cfg == 1 then
    modimport("scripts/rus_strings.lua")
end
-- Если 3 т.е Китайский задём Китайский язык
if language_cfg == 3 then
    modimport("scripts/strings_chi.lua")
end
-- Если у нас конфиге 0 т.е авто то мы проверяем подписки.
-- Если подписаны на Китайский
if language_cfg == 0 and (GLOBAL.KnownModIndex:IsModEnabled("workshop-725621177") or GLOBAL.KnownModIndex:IsModForceEnabled("workshop-725621177")) then
    modimport("scripts/strings_chi.lua")
end
-- Если подписаны на Русский
if language_cfg == 0 and (GLOBAL.KnownModIndex:IsModEnabled("workshop-207427039") or GLOBAL.KnownModIndex:IsModForceEnabled("workshop-207427039")) then
    modimport("scripts/rus_strings.lua")
end

if TUNING.WATERCROSSOVER == 1 and (GLOBAL.KnownModIndex:IsModEnabled("workshop-266906110") or GLOBAL.KnownModIndex:IsModForceEnabled("workshop-266906110")) then
    modimport("scripts/crossover.lua")
end
-- Если же в конфиге 2 т.е Англиский то мы это даже не проверяем ибо англиский и 
-- так подгружен самым первым. И если стоит 2 то мы просто не подгружем русский и 
-- китайский тем самым не заменяем реплики.

-- ВНИМАНИЕ:
-- Если вы используете это как пример то обратите внимание что порядок проверок очень важен
-- так что если будите копи-пастить то не меняйте порядок проверок.

AddMinimapAtlas("images/water_images.xml")-- А здесь иконка на мини карте


--[[
КАК РАБОТАЮТ КРАФТЫ
1. Не нужно прописывать local myrecipe 
2. Не обязательно узазывать последнюю строку(Которая с .tex файлом)
А теперь пример на практике. Должно быть так:

AddRecipe("waterbarrle",{
Ingredient("boards", 2),
Ingredient("rope", 2)},--А вот и рецептик. Ingridient можно перечислять по запятой
GLOBAL.RECIPETABS.FARM,-- Место хранения(сейчас у нас в структурах, можно куда угодно
GLOBAL.TECH.SCIENCE_ONE,--здесь у нас уровень науки(GLOBAL.TECH.NONE, GLOBAL.TECH.SCIENCE_TWO)
"waterbarrle_placer", -- нууу, это placer
nil, -- Сколько места нужно, чтоб поставитть предмет
nil, -- Добавить ли перснажу способность запоминать этот рецепт?
nil, -- Сколько предметов давать?
nil, -- Можно добавть персонажу таг, и ввести его сюда. Тогда только этот персонаж сможет крафтить этот предмет
"images/inventoryimages/waterbarrle.xml")
]]

AddIngredientValues({"flour"}, {flour = 1})

local bread =
	{
		name = "bread",
		test = function(cooker, names, tags) return names.flour and tags.flour >= 3 end,
		priority = 1,
		weight = 1,
		foodtype="GENERIC",
		health = TUNING.HEALING_SMALL,
		hunger = TUNING.CALORIES_SMALL,
		sanity = TUNING.SANITY_SMALL,
		perishtime = TUNING.PERISH_FASTISH,
		cooktime = 0.35,
	}

local bun =
	{
		name = "bun",
		test = function(cooker, names, tags) return names.flour and tags.flour < 3 end,
		priority = 1,
		weight = 1,
		foodtype="GENERIC",
		health = TUNING.HEALING_MEDSMALL,
		hunger = TUNING.CALORIES_MEDSMALL,
		sanity = TUNING.SANITY_MEDLARGE,
		perishtime = TUNING.PERISH_FAST,
		cooktime = 0.5,
	}

AddCookerRecipe("cookpot",bread)
AddCookerRecipe("cookpot",bun)

--Foxy Я перенаправил все рецепты и сточки в отдельные файлы.Проверь scripts
--foxy Никогда не используй это для локализации. Для этого есть специальные функции, но не это. Это для совместимости с другими модами
--if GLOBAL.KnownModIndex:IsModEnabled("workshop-354836336") or GLOBAL.KnownModIndex:IsModForceEnabled("workshop-354836336") then -- Start Russian Translate