GLOBAL.require("map/terrain")
GLOBAL.require("constants")

local gen_tea=GetModConfigData("gen_tea")
local gen_coffe=GetModConfigData("gen_coffe")
local gen_wheat=GetModConfigData("gen_wheat")
local gen_holes=GetModConfigData("gen_holes")

if GLOBAL.terrain.rooms.BGBadlands then
	GLOBAL.terrain.rooms.BGBadlands.contents.distributeprefabs.coffebush = gen_coffe
end
if GLOBAL.terrain.rooms.Lightning then
	GLOBAL.terrain.rooms.Lightning.contents.distributeprefabs.coffebush = gen_coffe
end
if GLOBAL.terrain.rooms.Badlands then
	GLOBAL.terrain.rooms.Badlands.contents.distributeprefabs.coffebush = gen_coffe
end
if GLOBAL.terrain.rooms.HoundyBadlands then
	GLOBAL.terrain.rooms.HoundyBadlands.contents.distributeprefabs.coffebush = gen_coffe
end
if GLOBAL.terrain.rooms.BuzzardyBadlands then
	GLOBAL.terrain.rooms.BuzzardyBadlands.contents.distributeprefabs.coffebush = gen_coffe
end
if GLOBAL.terrain.rooms.BGForest then
	GLOBAL.terrain.rooms.BGForest.contents.distributeprefabs.hole = gen_holes
end
if GLOBAL.terrain.rooms.BGCrappyFore then
	GLOBAL.terrain.rooms.BGForest.contents.distributeprefabs.hole = gen_holes
end
if GLOBAL.terrain.rooms.BGDirt then
	GLOBAL.terrain.rooms.BGDirt.contents.distributeprefabs.hole = gen_holes
end
if GLOBAL.terrain.rooms.BGForest then
	GLOBAL.terrain.rooms.BGForest.contents.distributeprefabs.tee_tree = gen_tea
end
if GLOBAL.terrain.rooms.BGCrappyFores then
	GLOBAL.terrain.rooms.BGCrappyFores.contents.distributeprefabs.tee_tree = gen_tea
end
if GLOBAL.terrain.rooms.BGSavanna then
	GLOBAL.terrain.rooms.BGSavanna.contents.distributeprefabs.wheat = gen_wheat
end


GLOBAL.terrain.filter.coffebush = {GLOBAL.GROUND.ROAD, GLOBAL.GROUND.WOODFLOOR, GLOBAL.GROUND.CARPET, GLOBAL.GROUND.CHECKER}
GLOBAL.terrain.filter.tee_tree = {GLOBAL.GROUND.ROAD, GLOBAL.GROUND.WOODFLOOR, GLOBAL.GROUND.CARPET, GLOBAL.GROUND.CHECKER}
GLOBAL.terrain.filter.wheat = {GLOBAL.GROUND.ROAD, GLOBAL.GROUND.WOODFLOOR, GLOBAL.GROUND.CARPET, GLOBAL.GROUND.CHECKER}
GLOBAL.terrain.filter.hole = {GLOBAL.GROUND.ROAD, GLOBAL.GROUND.WOODFLOOR, GLOBAL.GROUND.CARPET, GLOBAL.GROUND.CHECKER}