local assets =
{
    Asset("ANIM", "anim/bottle_repair.zip"),
}

local function onsewn(inst, target, doer)
    if target:HasTag("bottle") then
        doer:PushEvent("repair")
	end
end

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    --

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("bottle_repair")
    inst.AnimState:SetBuild("bottle_repair")
    inst.AnimState:PlayAnimation("idle")

    --

--

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(7)
    inst.components.finiteuses:SetUses(7)
    inst.components.finiteuses:SetOnFinished(inst.Remove)
    
    

    inst:AddComponent("sewing")
    inst.components.sewing.repair_value = 50
    inst.components.sewing.onsewn = onsewn
    ---------------------       

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
   --:SetImage("bottle_repair")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/bottle_repair.xml"

    MakeHauntableLaunch(inst)

    return inst
end

return Prefab("bottle_repair", fn, assets)