local assets =
{
	Asset("ANIM", "anim/buckets.zip"),
	Asset("IMAGE", "images/inventoryimages/bucketfull.tex"),
	Asset("ATLAS", "images/inventoryimages/bucketfull.xml")
}
local prefabs =
{

}

local function check(inst)
    local owner = inst.components.inventoryitem.owner
    if owner and owner:HasTag("fridge") and inst.components.temperature.current<=0 then
	    if owner.components.container then
			local bucketice = SpawnPrefab("bucketice")
			bucketice.save_owner = owner
		    inst:Remove()
		    bucketice.save_owner.components.container:GiveItem(SpawnPrefab("bucketice"))
        end		   
	end
end

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    --

    MakeInventoryPhysics(inst)
	

    inst.AnimState:SetBuild("buckets")
    inst.AnimState:SetBank("buckets")
    inst.AnimState:PlayAnimation("full")

    --

--

    inst:AddComponent("inspectable")

    inst:AddTag("show_spoilage")
	
	inst:AddTag("icebox_valid")
	
	inst:AddTag("bucket")
	
	inst:AddTag("frozen")
	
    inst:AddComponent("smotherer")
	
	inst:AddComponent("tradable")
	inst:AddComponent("temperature")
	
	inst.components.temperature.current=30
	
	inst:DoPeriodicTask(1, check)
	
    inst:AddComponent("inventoryitem")

   --:SetImage("bucketfull")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/bucketfull.xml"

    --

    return inst
end

return Prefab("bucketfull", fn, assets)
