local assets =
{
	Asset("ANIM", "anim/items_ground.zip"),
	Asset("IMAGE", "images/inventoryimages/cutwheat.tex"),
	Asset("ATLAS", "images/inventoryimages/cutwheat.xml")
}
local prefabs =
{

}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    --

    MakeInventoryPhysics(inst)	

    inst.AnimState:SetBuild("items_ground")
    inst.AnimState:SetBank("items_ground")
    inst.AnimState:PlayAnimation("cutwheat")

    --

--
	
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inspectable")
	
	inst:AddComponent("tradable")

    inst:AddTag("show_spoilage")

    inst:AddComponent("inventoryitem")

   --:SetImage("cutwheat")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/cutwheat.xml"

    --

    return inst
end

return Prefab("cutwheat", fn, assets)
