local assets=
{
    Asset("ANIM", "anim/kettle.zip"),-- В папке anim должен быть архив с чем то, с чем - узнаю потом --foxy Ты делаешь анимации в спрайтере, суёшь их в exported А потом прописываешь анимацию сюда, стоб игра её загружала. Exported можно удалить, он тебе не нуженю Только место занимает
	Asset("ANIM", "anim/kettle_port.zip"),
    Asset("IMAGE", "images/water_images.tex"),
    Asset("ATLAS", "images/water_images.xml"),
	Asset("IMAGE", "images/inventoryimages/kettle_port.tex"),
	Asset("ATLAS", "images/inventoryimages/kettle_port.xml"),
}

local function cook_done(inst)
    if inst.kettledrinkanim ~= "water" then
	    inst.kettlewater = false
	end
	if inst.kettledrinkanim == "water" then
	    inst.kettlewater = true
	end
    inst.kettlecook = false -- Чайник теперь не готовит
	inst.AnimState:PlayAnimation(inst.kettledrinkanim,true) -- Задаём анимацию для чайника которую мы указали
	inst.SoundEmitter:KillSound("snd") -- Убиваем звук готовки
	inst.SoundEmitter:PlaySound("dontstarve/common/cookingpot_finish") -- Играем звук конца готовки
end

local function cook(inst)
    inst.kettlecook = true -- Чайник теперь в режиме готовки
	inst:DoTaskInTime(inst.kettlecooktime, cook_done) -- Вызываем функцию конца готовки через время которое мы указали
    inst.AnimState:PlayAnimation("cooking", true) -- Играем анимацию готовки
	inst.SoundEmitter:PlaySound("dontstarve/common/cookingpot_rattle", "snd") -- Играем звук готовки
end

local function onhammered(inst, worker)
	inst.components.lootdropper:DropLoot()
	if inst.components.container ~= nil then
		inst.components.container:DropEverything()
	end
	local fx = SpawnPrefab("collapse_big")
	fx.Transform:SetPosition(inst.Transform:GetWorldPosition())
	fx:SetMaterial("wood")
	inst:Remove()
end

local function onhit(inst, worker)
    inst.AnimState:PlayAnimation("open",true)
end

local function ShouldAcceptItem(inst, item, giver)
	if item.prefab == ("bucketfull") then
	    if inst.kettlewater ~= true then
		    if inst.kettlecook ~= true then
		        return true
	        else
		        return false
	        end
	    end
	end
	-- Тут вписываем всё что можно дать в качестве заварки
	if item.prefab == ("tee_s") or item.prefab == ("coffe_beans") or item.prefab == ("tee_r") or item.prefab == ("tee_r2") or item.prefab == ("tee_m") or item.prefab == ("tee_g") or item.prefab == ("spidergland") or item:HasTag("kettlebrew") then
		if inst.kettlewater == true then
		    if inst.kettlecook ~= true then
		        return true
	        else
		        return false
	        end
	    end
	end
	if item.prefab == ("cup") then
	    if inst.kettledrink ~= nil then
		    if inst.kettlecook ~= true then
		        return true
	        else
		        return false
	        end
	    end
	end
	-- Если вещь с тегом "bottle" и у этого предмета воды больше 19 к тому же, вода не имет не одной единци соли и ещё поддержка мода включина
	if (item:HasTag("des_bucket") or item:HasTag("bottle")) and item.components.cwater.current>49 and item.components.cwater.salt == 0 and TUNING.WATERCROSSOVER == 1 then
		if inst.kettlecook ~= true and inst.kettlewater ~= true then
            item.components.cwater:DoDelta(-50)
			item.components.finiteuses:Use(1)
	        inst.kettlecooktime = TUNING.KETTLE_WATER
	        inst.kettledrinkanim = "water"
			inst.kettledrink = "cup_water"
			cook(inst)
	    end
	end
	-- Если вещь с тегом "bottle" и у этого предмета воды меньше 49 к тому же, вода не имет не одной единци соли и ещё поддержка мода включина
	if (item:HasTag("des_bucket") or item:HasTag("bottle")) and item.components.cwater.current<49 and item.components.cwater.salt == 0 and TUNING.WATERCROSSOVER == 1 then --and thirst_support == 1
	    if inst.kettlecook ~= true and inst.kettlewater ~= true then
	        giver.components.talker:Say("I can`t, need more water!")
		end
	end
	-- Если вещь с тегом "bottle" и у этого предмета воды больше 49 к тому же, вода идмеет соль и ещё поддержка мода включина
	if (item:HasTag("des_bucket") or item:HasTag("bottle")) and item.components.cwater.current>49 and item.components.cwater.salt ~= 0 and TUNING.WATERCROSSOVER == 1 then --and thirst_support == 1
	    if inst.kettlecook ~= true and inst.kettlewater ~= true then
	        giver.components.talker:Say("I can`t, water salt!")
		end
	end
end
-- inst.kettlewater = true/fasle есть ли в чайнике вода для заварок
-- inst.kettlecook = true/false Если чайник сейчас готовит напиток
local function OnGetItemFromPlayer(inst, giver, item)
	if item.prefab == ("bucketfull") then
	   if inst.kettlewater ~= true and inst.kettlecook ~= true then 
	        giver.components.inventory:GiveItem(SpawnPrefab("bucket"))
	        inst.kettlecooktime = TUNING.KETTLE_WATER
	        inst.kettledrinkanim = "water"
			inst.kettledrink = "cup_water"
			cook(inst)
		end
	end
	-- Пример как добовлять напитки:
	if item.prefab == ("tee_s") then -- Что мы дожны дать в качестве заварки
	   if inst.kettlewater == true and inst.kettlecook ~= true then -- Проверем еслить ли вода и готовит ли сейчас чайник
	        inst.kettlecooktime = TUNING.KETTLE_TEA -- Задаём время готовки напитка
	        inst.kettledrinkanim = "tea" -- Анимация на которую смениться чайник после конца готовки
			inst.kettledrink = "cup_tee" -- Напиток который можно будет налить в чашку после конца готовки
			cook(inst) -- Вызываем готовку
		end
    end
	if item.prefab == ("coffe_beans") then
	   if inst.kettlewater == true and inst.kettlecook ~= true then
	        inst.kettlecooktime = TUNING.KETTLE_COFFE
	        inst.kettledrinkanim = "coffe"
			inst.kettledrink = "cup_coffe"
			cook(inst)
		end
    end
	if item.prefab == ("tee_r") then
	   if inst.kettlewater == true and inst.kettlecook ~= true then
	        inst.kettlecooktime = TUNING.KETTLE_DRAGON
	        inst.kettledrinkanim = "red"
			inst.kettledrink = "cup_red"
			cook(inst)
		end
    end
	if item.prefab == ("tee_r2") then
	   if inst.kettlewater == true and inst.kettlecook ~= true then
	        inst.kettlecooktime = TUNING.KETTLE_MONSTER
	        inst.kettledrinkanim = "red"
			inst.kettledrink = "cup_hibiscus"
			cook(inst)
		end
    end
	if item.prefab == ("tee_m") then
	   if inst.kettlewater == true and inst.kettlecook ~= true then
	        inst.kettlecooktime = TUNING.KETTLE_MONSTER
	        inst.kettledrinkanim = "dead"
			inst.kettledrink = "cup_monster"
			cook(inst)
		end
    end
	if item.prefab == ("spidergland") then
	   if inst.kettlewater == true and inst.kettlecook ~= true then
	        inst.kettlecooktime = TUNING.KETTLE_MONSTER
	        inst.kettledrinkanim = "dead"
			inst.kettledrink = "cup_spider"
			cook(inst)
		end
	end
	if item.prefab == ("tee_g") then
	   if inst.kettlewater == true and inst.kettlecook ~= true then
	        inst.kettlecooktime = TUNING.KETTLE_ABI
	        inst.kettledrinkanim = "red"
			inst.kettledrink = "cup_abi"
			cook(inst)
		end
    end
	if item.prefab == ("cup") then
	   if inst.kettlecook ~= true and inst.kettledrink ~= nil then
		   giver.components.inventory:GiveItem(SpawnPrefab(inst.kettledrink))
		   inst.AnimState:PlayAnimation("closet",true)
		   inst.SoundEmitter:PlaySound("dontstarve_DLC001/common/HUD_wet_close")
		   inst.kettledrink = "cup"
		   inst.kettledrinkanim = "closet"
		   inst.kettlewater = false
		end
	end
end

local function OnSave(inst, data)
    --Сохраняем все парамтеры чайника.
    data.kettlewater = inst.kettlewater
	data.kettlecooktime = inst.kettlecooktime
	data.kettledrink = inst.kettledrink
	data.kettledrinkanim = inst.kettledrinkanim
	data.kettlecook = inst.kettlecook
end

local function OnLoad(inst, data)
if data ~= nil then -- Подолнительная проверка даты, она нужна ибо иногда крашит
    if data.kettlewater ~= nil then -- Если не nil значит сохранение не пустое и скорее всго true. Загрузаемся
        inst.kettlewater = data.kettlewater
    end
    if data.kettlewater == nil then -- Если nil значит скорее всего это новый чайник стави что воды нет
        inst.kettlewater = false
    end
    if data.kettlecook ~= nil then -- Если не nil значит сохранение не пустое и скорее всго true. Загрузаемся
        inst.kettlecook = data.kettlecook
    end
    if data.kettlecook == nil then -- Если nil значит скорее всего это новый чайник стави что он не готовит щас.
        inst.kettlecook = false
    end
    if data.kettledrinkanim ~= nil then  -- Если не nil значит там напиток. Загрузаемся
        inst.kettledrinkanim = data.kettledrinkanim
    end
    inst.kettlecooktime = data.kettlecooktime -- Это в любом случаии загружаем даже если nil. Ибо nil это когда чайник пуст
    inst.kettledrink = data.kettledrink -- Это в любом случаии загружаем даже если nil. Ибо nil это когда чайник пуст
    if inst.kettlecook == true then -- Если мы загрузились и чайник готовит то мы вызываем готовку.
        cook(inst)
    end
    if inst.kettlecook ~= true and data.kettledrinkanim ~= nil then -- Есои мы загрузились и чайник не готовит скорее всего там уже есть напито ставит его анимацию
        inst.AnimState:PlayAnimation(inst.kettledrinkanim,true) -- Но только если есть наиток
    end
end
end

local function onbuilt(inst)
    inst.AnimState:PlayAnimation("onbuild")
    inst.AnimState:PushAnimation("closet", true)
    inst.SoundEmitter:PlaySound("dontstarve/common/craftable/cook_pot")
end

local function kettle()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddMiniMapEntity()
    --
	
	inst.MiniMapEntity:SetIcon("kettle.tex")

    MakeObstaclePhysics(inst, 0.5)

    inst:AddTag("structure")
	
	inst:AddTag("trader")

    inst.AnimState:SetBank("kettle")
    inst.AnimState:SetBuild("kettle")
    inst.AnimState:PlayAnimation("closet",true)

--

    inst:AddComponent("inspectable")
	inst:ListenForEvent("onbuilt", onbuilt)
    inst:AddComponent("workable")
	inst:AddComponent("lootdropper")
	inst.components.workable:SetWorkAction(ACTIONS.HAMMER)
	inst.components.workable:SetWorkLeft(5)
	inst.components.workable:SetOnFinishCallback(onhammered)
	inst.components.workable:SetOnWorkCallback(onhit)
	
	inst:AddComponent("trader")
	inst.components.trader:SetAcceptTest(ShouldAcceptItem)
	inst.components.trader.onaccept = OnGetItemFromPlayer
	if TUNING.WATERCROSSOVER == 1 then
	    inst.components.trader.acceptnontradable = true
	end
	
    inst.OnSave = OnSave
    inst.OnLoad = OnLoad

	
    return inst-- Возращаем inst, и заканчиваем нашу функцию
end

local function SetOnPickupFn(inst)
--nope
end
local function SetOnDropFn(inst)
    --onbuilt(inst)
end

local function kettle_port()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddMiniMapEntity()
    --
	
	MakeInventoryPhysics(inst)
	
	inst.MiniMapEntity:SetIcon("kettle.tex")

    --MakeObstaclePhysics(inst, 0.5)

    inst:AddTag("structure")
	
	inst:AddTag("trader")

    inst.AnimState:SetBank("kettle_port")
    inst.AnimState:SetBuild("kettle_port")
    inst.AnimState:PlayAnimation("closet",true)

--

    inst:AddComponent("inspectable")
	inst:ListenForEvent("onbuilt", onbuilt)
    inst:AddComponent("workable")
	inst:AddComponent("lootdropper")
	inst.components.workable:SetWorkAction(ACTIONS.HAMMER)
	inst.components.workable:SetWorkLeft(5)
	inst.components.workable:SetOnFinishCallback(onhammered)
	inst.components.workable:SetOnWorkCallback(onhit)
	
	inst:AddComponent("trader")
	inst.components.trader:SetAcceptTest(ShouldAcceptItem)
	inst.components.trader.onaccept = OnGetItemFromPlayer
	if TUNING.WATERCROSSOVER == 1 then
	    inst.components.trader.acceptnontradable = true
	end
	
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(SetOnDropFn)
    inst.components.inventoryitem:SetOnPickupFn(SetOnPickupFn)
	inst.components.inventoryitem.atlasname = "images/inventoryimages/kettle_port.xml"
	
	
    inst.OnSave = OnSave
    inst.OnLoad = OnLoad

	
    return inst-- Возращаем inst, и заканчиваем нашу функцию
end

return Prefab( "common/kettle", kettle, assets, prefabs),
       MakePlacer( "common/kettle_placer", "kettle", "kettle", "closet" ), -- заканчиваем файл, возращением нашего префаба с использованием пред функции
       Prefab( "common/kettle_port", kettle_port, assets, prefabs),
       MakePlacer( "common/kettle_port_placer", "kettle_port", "kettle_port", "closet" )