
_G=GLOBAL
local STRINGS = _G.STRINGS
local rec = STRINGS.RECIPE_DESC
local nm = STRINGS.NAMES
local gen = STRINGS.CHARACTERS.GENERIC.DESCRIBE

TUNING.BEER_ONDRINK = "啊..我醉了"
TUNING.BEER_OFFDRINK = "真清爽! 终于可以站稳了"
TUNING.POHMEL = "有点恶心, 但我感觉好点了."
TUNING.STAR_BAKS = "虽然不是星巴克, 但也差不到哪里去"
TUNING.TEA_YAWN = ""
TUNING.RED_TEA_SPEEP = ""

STRINGS.NAMES.WATERWELL	  = "井"
STRINGS.RECIPE_DESC.WATERWELL = "打口井, 喝上水!"

STRINGS.NAMES.HOLE	  = "奇怪的泥土"
STRINGS.RECIPE_DESC.HOLE = "好深! 别掉下去了"

STRINGS.NAMES.HOLE2	  = "土里的洞"
STRINGS.RECIPE_DESC.HOLE2 = "这里打口井再合适不过了"

STRINGS.NAMES.BUCKET	= "木桶"
STRINGS.RECIPE_DESC.BUCKET = "空木桶"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BUCKET = "我可以把它装满水...恩，或者其他东西?"

STRINGS.NAMES.KETTLE	= "水壶"
STRINGS.RECIPE_DESC.KETTLE = "你唯一记得的东西."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.KETTLE = "终于可以煮东西了!"

STRINGS.NAMES.BUCKETFULL	= "装满水的木桶"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BUCKETFULL = "里面有好多水"

STRINGS.NAMES.BUCKETICE	= "装满冰的木桶"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BUCKETICE = "它现在没多大用处"

STRINGS.NAMES.WATERWELL_ITEM	= "水井"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WATERWELL_ITEM = "井的身体."

STRINGS.NAMES.WATERBARRLE = "大水桶"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WATERBARRLE = "我可以在这里面装上水."

STRINGS.NAMES.BEER_BARRLE = "啤酒桶"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BEER_BARRLE = "我能在这里酿造啤酒了"

STRINGS.NAMES.CUP = "空杯子"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP = "喝茶用的!"
STRINGS.RECIPE_DESC.CUP = "装饮料的东西."

STRINGS.NAMES.CUP_WATER = "一杯水"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_WATER = "我能喝了！"

STRINGS.NAMES.CUP_COFFE = "一杯咖啡"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_COFFE = "人间美味!"

STRINGS.NAMES.CUP_TEE = "一杯茶"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_TEE = "我需要牛奶."

STRINGS.NAMES.CUP_RED = "龙之饮料"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_RED = "真好闻!"

STRINGS.NAMES.CUP_MONSTER = "怪物饮料"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_MONSTER = "怪物做的茶?"

STRINGS.NAMES.CUP_SPIDER = "蜘蛛糖浆"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_SPIDER = "蜘蛛糖浆?听起来很糟糕"

STRINGS.NAMES.CUP_BEER = "一杯啤酒"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_BEER = "是白啤酒还是黑啤酒?"

STRINGS.NAMES.TEE_PLANT = "茶树"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TEE_PLANT = "种茶树，收茶叶，不对吗?"

STRINGS.NAMES.TEE = "茶叶"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TEE = "气味宜人!"

STRINGS.NAMES.TEE_S = "凉茶冲剂"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TEE_S = "闻起来就像真茶!"

STRINGS.NAMES.TEE_M = "怪物冲剂"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TEE_M = "额... 这是啥?"

STRINGS.NAMES.TEE_G = "幽灵冲剂"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TEE_G = "温蒂会喜欢的."
STRINGS.CHARACTERS.WENDY.DESCRIBE.TEE_G = "阿比盖尔, 我来了!" -- Phrase if wendy inspection item

STRINGS.NAMES.CUP_ABI = "幽灵饮料"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_ABI = "温蒂喜欢它!"
STRINGS.CHARACTERS.WENDY.DESCRIBE.CUP_ABI = "阿比盖尔, 我来了!" -- Phrase if wendy inspection item

STRINGS.NAMES.TEE_TREE = "茶树"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TEE_TREE = "长满茶的树!"

STRINGS.NAMES.COFFE_BEANS = "咖啡豆"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.COFFE_BEANS = "我也能做咖啡了!"

STRINGS.NAMES.MR_BEEFALO = "皮弗娄牛"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MR_BEEFALO = "你是真的皮弗娄牛吗?"

STRINGS.NAMES.SHADOWWILSON = "阴影雕象"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SHADOWWILSON = "真尼玛吓人"

STRINGS.NAMES.DIG_TEE_TREE = "茶树"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DIG_TEE_TREE = "我能移栽它."

STRINGS.NAMES.CUPSJOURNAL = "饮料配方"
STRINGS.RECIPE_DESC.CUPSJOURNAL = "这本书里面有所有的饮料配方"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUPSJOURNAL = "我能在这里阅读."

STRINGS.NAMES.WHEAT = "小麦"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WHEAT = "我能割一些小麦...额,还是算了吧"

STRINGS.NAMES.CUTWHEAT = "割好的小麦"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUTWHEAT = "看起来像轻轻的头发."

STRINGS.NAMES.DUG_WHEAT = "小麦"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DUG_WHEAT = "我已经毁灭它了"

STRINGS.NAMES.FLOUR = "面粉"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FLOUR = "我需要做面包了!"

STRINGS.NAMES.BREAD = "面包" 
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BREAD = "哈, 终于吃到面包了!"

STRINGS.NAMES.BUN = "甜面包" 
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BUN = "Mmm, 真好吃"

STRINGS.NAMES.CUP_STRANG = "奇怪的饮料" 
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CUP_STRANG = "真难喝..."
STRINGS.RECIPE_DESC.CUP_STRANG = "我想，你或许不应该喝这个东西"

STRINGS.NAMES.DUG_COFFEBUSH = "咖啡丛" 
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DUG_COFFEBUSH = "我能移栽它!"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.HOLE2 = "我在土里打了个洞...接下来呢?"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WATERWELL = "这里的水真甘冽!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HOLE = "好深."

STRINGS.NAMES.WATER_MAHINE = "迷你造水机"
STRINGS.RECIPE_DESC.WATER_MAHINE = "把水从土里面弄出来."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WATER_MAHINE = "应该给它加上燃料."

STRINGS.RECIPE_DESC.FLOUR = "烹饪一些美味的面包"
STRINGS.RECIPE_DESC.COFFE_BEANS = "精力十足!"
STRINGS.RECIPE_DESC.TEE_S = "锡兰茶."
STRINGS.RECIPE_DESC.TEE_M = "怪物专用."
STRINGS.RECIPE_DESC.TEE_G = "如果你认为生命值不算什么的话."
STRINGS.RECIPE_DESC.BEER_BARRLE = "刷新你的头脑!"
STRINGS.RECIPE_DESC.WATERBARRLE = "盛水的最佳容器."
STRINGS.RECIPE_DESC.WATERWELL_ITEM = "找到一个洞并把这个丢进去!"

STRINGS.NAMES.COFFEBUSH = "咖啡丛" 
STRINGS.CHARACTERS.GENERIC.DESCRIBE.COFFEBUSH = "看起来有些奇怪. 它让我想起火!"

STRINGS.NAMES.COFFE_BEANS_RAW = "生咖啡豆" 
STRINGS.CHARACTERS.GENERIC.DESCRIBE.COFFE_BEANS_RAW = "或许我该煮煮它?"